function range = find_spectral_range(fls, energy)
    index_center = find(abs(fls.energy_axis - energy.value) == ...
                        min(abs(fls.energy_axis - energy.value)), 1) - 1;
    index_start  = find(abs(fls.energy_axis - energy.value + energy.bandwidth/2) == ...
                        min(abs(fls.energy_axis - energy.value + energy.bandwidth/2)),1) - 1;
    index_end    = find(abs(fls.energy_axis - energy.value - energy.bandwidth/2) == ...
                        min(abs(fls.energy_axis - energy.value - energy.bandwidth/2)),1) - 1;
    range  = [index_start:index_end];
end