function [fls] = load_xrdb(fls)
    if ~isfield(fls, 'xraydb')
        disp('Loading X-ray database..')
        fls = unpack_xraydb(fls);
        disp('DONE')
    else disp('Database is already loaded.')
    end
    if ~isfield(fls.xraydb, 'reduced_edges') || ~isfield(fls.xraydb, 'reduced_lines')
        disp('Creating sub database..')
        fls = reduce_xraydb(fls);
        disp('DONE')
    end
end